load('diabetes.mat');

KTYPE = 6;      % gaussian kernel
KSCALE = .025;  % 1/(2*sigma)^2 for gaussian kernel

Ltrain = 576;

xtrain = x_norm(1:Ltrain,:);
ytrain = y(1:Ltrain);
k = kernel(xtrain, xtrain, KTYPE, KSCALE);
fid = fopen('diabetes_kernel.txt','w');
fprintf(fid, '%d %d\n', size(xtrain,1), size(xtrain,1));
fprintf(fid, ['%d ' repmat('%f ', 1, size(k,2)) '\n'],[ytrain k]');
fclose(fid);


load('data.mat');

KTYPE = 1;      % linear kernel

k = kernel(x, x, KTYPE, KSCALE);
fid = fopen('data_kernel.txt','w');
fprintf(fid, '%d %d\n', size(x,1), size(x,1));
fprintf(fid, ['%d ' repmat('%f ', 1, size(k,2)) '\n'],[y k]');
fclose(fid);